Subject: Re: [Iptel] Originating trunk group without calling number(Was[Re:Comments on Trunk Group ID])

From: "Vijay K. Gurbani" <[email-masked]>
Date: Sun, 05 Dec 2004 23:22:26 -0600

Shan Lu wrote:

> Fixing the BNF does not make the issue disappear. The issue is, 
> tel uri, as currently defined, does not allow expression of 
> unavailable phone digits. 

If such a deficiency exists in the tel URI, the trunk-group I-D
is probably not the right forum to argue for putting it in.  I
do note that 2806bis became RFC 3966 over the weekend, so
arguing for a deficiency in the tel URI may be a moot point
at this time.

Instead, I would like to return the focus on what we should
do in the trunk-group I-D when the calling party number
is not present.  The previous options are still on the
table; please, let's pick one.

As an aside, I am curious: does the ISUP ASN represent the
calling party number as an optional parameter to the
IAM message?  If yes, what does an intermediary switch do
when it gets a call setup request and there isn't any
calling party number?

At the very least, it would seem prudent that whatever we
do is no worse than the existing behavior in the PSTN.

Thanks,

- vijay
> 
> For example, "tel:xxx;phone-context=internal" can mean something even when
> "xxx" isn't there. Think of a calling number that is "internal" but has
> requested privacy. 
> 
> I am not for or against any particular way to indicate empty phone number
> (which may or may not lead to empty uri). But I think -A- way will be
> desirable.
> 
> Regards,
> 
> Shan Lu 
> 

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel